Skip to main content
GET
/
api
/
svc
/
v1
/
jobs
/
{jobId}
/
runs
List Job Runs
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/jobs/{jobId}/runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{controlPlaneURL}/api/svc/v1/jobs/{jobId}/runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{controlPlaneURL}/api/svc/v1/jobs/{jobId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "jqfwg345gi25n5ju2yz5iz6m",
      "name": "<string>",
      "applicationName": "<string>",
      "deploymentVersion": "<string>",
      "createdAt": 123,
      "command": "<string>",
      "totalRetries": 123,
      "endTime": 123,
      "duration": 123,
      "error": "<string>",
      "triggeredBy": "<string>",
      "triggeredBySubject": {
        "subjectId": "<string>",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      },
      "exitCode": 123,
      "sparkUi": "<string>",
      "applicationId": "<string>",
      "deploymentId": "<string>",
      "tenantName": "<string>"
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}
{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}
{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}
{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

jobId
string
required

Job id of the application

Query Parameters

limit
integer | null
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer | null
default:0

Number of items to skip

Required range: x >= 0
Example:

0

searchPrefix
string | null

Prefix used to search for job runs by name or identifier

sortBy
enum<string>

Attribute to sort by

Available options:
startTime,
duration,
deploymentVersion,
triggeredBy,
status
order
enum<string>

Sorting order

Available options:
asc,
desc
triggeredBy
string[] | null

Array of subject slugs

status
enum<string>[]

Status of the job run

Available options:
CREATED,
SCHEDULED,
RUNNING,
FINISHED,
FAILED,
TERMINATION_REQUESTED,
TERMINATING,
TERMINATED,
UNKNOWN
versionNumbers
number[] | null

Version number of the deployment

Response

Returns all runs of a Job sorted by creation date in "data" key and total count in "totalCount" key

data
JobRun · object[]
required

JobRun History

pagination
Pagination · object
required

Pagination Information